Windows Deployment Services

You can use Microsoft Windows Deployment Services to install the Windows operating system from a Windows image (.wim) file. You can use Windows Deployment Services for an initial installation or to reinstall the operating system to existing computers.

  • Overview of Windows Deployment Services

  • Installing Windows Deployment Services

  • Configuring Windows Deployment Services

  • Managing Windows Deployment Services

  • Managing Images

  • Troubleshooting Windows Deployment Services

  • Resources for Windows Deployment Services

Additional references

  • For more detailed documentation, see the Windows Deployment Services online documentation (http://go.microsoft.com/fwlink/?LinkId=81873)

  • Windows Deployment Services Role Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=84628)

  • For general deployment information for this version of Windows, visit the Windows Vista IT Pro Web site (http://go.microsoft.com/fwlink/?LinkID=53518).


Overview of Windows Deployment Services

Windows Deployment Services is intended for administrators who are responsible for deployment of new computers in medium and large organizations. If you are only installing a few computers, see Deploying Windows Vista (http://go.microsoft.com/fwlink/?LinkID=63891).

Windows Deployment Services enables you to manage images and unattend installation scripts, and provide attended and unattended installation options. Windows Deployment Services facilitates basic configuration of installations, including:

  • Partitioning and formatting physical media

  • Installing the operating system and post-configuration tasks

  • Simplifying installation

  • Providing consistency across your computer environment

IT professionals using Windows Deployment Services should be familiar with the following:

  • Active Directory and Dynamic Host Configuration Protocol (DHCP) concepts

  • Windows Preinstallation Environment (Windows PE)

  • Windows Pre-Boot Execution Environment (PXE)

  • Windows Image (.wim) format

Components

Windows Deployment Services includes the following components:

  • Server components. This includes a PXE server and Trivial File Transfer Protocol (TFTP) server for network booting a client with the intent to load and eventually install an operating system. A shared folder and image repository are also included which contain boot images, install images, and files that you need specifically for the network boot. There's also a networking layer, a multicast component, and a diagnostics component.

  • Client components. These components include a graphical user interface that runs within the Windows PE. When a user selects an operating system image, the client components communicate with the server components to install the image.

  • Management components. These components are a set of tools that you use to manage the server, operating system images, and client computer accounts.

Benefits

Windows Deployment Services provides the following benefits:

  • Reduces the complexity of deployments and the cost associated with inefficient manual installation processes

  • Allows network-based installation of Windows operating systems including Windows Vista and Windows Server 2008

  • Deploys Windows images to computers without operating systems

  • Supports mixed environments that include Windows Vista, Windows Server 2008, Microsoft Windows XP and Microsoft Windows Server 2003

  • Provides an end-to-end solution for the deployment of Windows operating systems to client computers and servers

  • Built on standard Windows Server 2008 setup technologies including Windows PE, .wim files, and image-based setup

What's new in Windows Deployment Services

Windows Deployment Services for Windows Server 2008 includes several modifications to RIS features. There are also modifications from Windows Deployment Services that you can install onto computers running Windows Server 2003.

Changes from RIS Changes from Windows Deployment Services on Windows Server 2003
  • Ability to deploy Windows Vista and Windows Server 2008

  • Support for Windows PE as a boot operating system

  • Support for the Windows image (.wim) format

  • Ability to transmit data and images using multicast functionality

  • Ability to transmit data and images using multicast functionality on a standalone server (when you install the Transport Server role service)

  • An extensible and higher-performing PXE server component

  • A new boot menu format for selecting boot operating systems

  • A new graphical user interface that you can use to select and deploy images and to manage Windows Deployment Services servers and clients
  • Ability to transmit data and images using multicast functionality

  • Ability to transmit data and images using multicast functionality on a standalone server (when you install the Transport Server role service)

  • Does not support RISETUP images or OSChooser screens

  • Enhanced TFTP server

  • Supports network boots of x64-based computers with Extensible Firmware Interface (EFI)

  • Metric reporting for installations

Additional references

  • Installing Windows Deployment Services

  • Configuring Windows Deployment Services

  • Managing Windows Deployment Services

  • Managing Images

  • Troubleshooting Windows Deployment Services


Checklist: Install and Configure Windows Deployment Services

Windows Deployment Services must be configured and images must be added to the image store before it can begin servicing clients. The Windows Deployment Services Configuration Wizard guides you through setting up remote installation shares, configuring the Pre-Boot Execution Environment (PXE) server settings, and optionally enables you to add boot and install images.

Task Reference
Check box

Install Windows Deployment Services.

Installing Windows Deployment Services

Check box

Configure Windows Deployment Services for your environment.
  • Configuring Windows Deployment Services (Deployment Server)

  • Transport Server

Check box

Add images to your Windows Deployment Services server.

Add a Boot or Install Image

Check box

Verify or set the properties of your Windows Deployment Services server.

Configure <Server> Properties

Check box

Configure client settings.

Managing Windows Deployment Services

Additional references

  • Overview of Windows Deployment Services

  • For more detailed information about upgrading and installing Windows Deployment Services, see http://go.microsoft.com/fwlink/?LinkId=89222.

  • For more information about RIS upgrades and coexistence, see http://go.microsoft.com/fwlink/?LinkId=89227.


Checklist: Create a Custom Install Image

You can use Windows Deployment Services to deploy an image that contains a Windows installation as well as many other applications that are common to your environment. If you create one image that contains multiple installed applications, then whenever someone builds a new computer using that image in Windows Deployment Services, they will install required productivity applications at the same time. In addition to lowering the time it takes to install multiple applications, your users receive the added benefit of increased consistency in which applications are installed on their computers.

 | Step | Reference
Check box | Create a capture image. | Create an Install, Capture, or Discover Image
Check box | Create a custom install image. | Create an Install, Capture, or Discover Image
Check box | Add the image to the Windows Deployment Services server. | Add a Boot or Install Image
Check box | Install an operating system. | Install an Operating System

Additional references

  • Overview of Windows Deployment Services


Checklist: Create a Discover Image

Windows Deployment Services provides a PXE server that is capable of recognizing client computers that support the PXE boot protocol. Your environment may also have client computers with network adapters that do not support PXE. By creating a discover image, you can boot non-PXE clients to Windows Preinstallation Environment (WinPE) media that will find an appropriate Windows Deployment Services server and complete image installation.

 | Step | Reference
Check box | Create a discover image. | Create an Install, Capture, or Discover Image
Check box | Create media that contains the discover image. | Create an Install, Capture, or Discover Image

Additional references

  • Overview of Windows Deployment Services


Checklist: Create a Capture Image

Capture images are Windows Preinstallation Environment (Windows PE) images that allow you to easily capture the install images that you prepare using Sysprep.exe. Instead of using complex command-line tools, once you have run Sysprep.exe on your reference computer, you can boot to the Windows Deployment Services client computer using PXE and select the capture image. When the capture image boots, it starts the Capture Image Wizard, which will guide you through the capture process and optionally upload the new install image to a Windows Deployment Services server.

 | Step | Reference
Check box | Create a capture image. | Create an Install, Capture, or Discover Image
Check box | Create an install image. | Create an Install, Capture, or Discover Image
Check box | Add the install image to the Windows Deployment Services server. | Add a Boot or Install Image

Additional references

  • Overview of Windows Deployment Services


Checklist: Associate a Language Pack

You can create and maintain a single image that will install in two or more language formats by associating language packs with your Windows images. Implementing language packs allows you to modify only one image instead of a separate image for each language that you support when new updates become available. Once the new image is created you can assign one or more language packs and make your image available to your worldwide client base.

 | Step | Reference
Check box | Add images to your Windows Deployment Services server. | Add a Boot or Install Image
Check box | Associate a language pack with an image. | Associate Language Packs

Additional references

  • Overview of Windows Deployment Services

  • For more information about creating a localized setup experience, see http://go.microsoft.com/fwlink/?LinkId=89224.


Checklist: Modify an Image

Windows Deployment Services uses the Windows Imaging (WIM) format for creating images. The Windows Automated Installation Kit (Windows AIK) provides a robust tool set for managing Windows images. These tools allow you to add files, folders, drivers and most importantly, security updates, to your Windows images without having to rebuild the reference image.

 | Step | Reference
Check box | Create an image. | Create an Install, Capture, or Discover Image
Check box | Add images to your Windows Deployment Services server. | Add a Boot or Install Image
Check box | Modify the image. | Modify a Boot or Install Image

Additional references

  • Overview of Windows Deployment Services


Checklist: Create a Multicast Transmission

Multicast in Windows Deployment Services allows you to deploy an image to a large number of client computers without overburdening the network. When you enable a multicast transmission for an image, the image is sent over the network only once, which can drastically reduce the network bandwidth that is used.

 | Step | Reference
Check box | Add images to your Windows Deployment Services server. | Add a Boot or Install Image
Check box | Modify network settings (optional). | Network Settings tab
Check box | Enable multicast transmissions for the images. | Enable Multicast Transmission of an Image

Additional references

  • Overview of Windows Deployment Services

  • For more information about multicasting in Windows Deployment Services, see http://go.microsoft.com/fwlink/?LinkId=89225.


Checklist: Create a Namespace Using Transport Server

Multicast with the Transport Server role service allows you to deploy data to a large number of client computers without overburdening the network. When you create a namespace, the data is sent over the network only once, which can reduce the network bandwidth that is used.

 | Step | Reference
Check box | Install the Transport Server role service. | Installing Windows Deployment Services
Check box | Configure Transport Server. | Transport Server
Check box | Create a namespace to multicast data. | Transport Server

Additional references

  • Overview of Windows Deployment Services


Installing Windows Deployment Services

Prerequisites for installing Windows Deployment Services

During your Windows Deployment Services installation, you can choose to install Transport Server or Deployment Server (which includes the core parts of Transport Server). There are no requirements for installing Transport Server. If you choose to install Deployment Server, your environment must meet the following requirements:

  • Active Directory. A Windows Deployment Services server must be either a member of an Active Directory Domain Services domain or a domain controller for an Active Directory Domain Services domain. The Active Directory Domain Services domain and forest versions are irrelevant; all domain and forest configurations support Windows Deployment Services.

  • DHCP. You must have a working Dynamic Host Configuration Protocol (DHCP) server with an active scope on the network because Windows Deployment Services uses Pre-Boot Execution Environment (PXE), which relies on DHCP for IP addressing.

  • DNS. You must have a working Dynamic Name Services (DNS) server on the network to run Windows Deployment Services.

  • NTFS volume. The server running Windows Deployment Services requires an NTFS file system volume for the image store.

  • Credentials. To install the role, you must be a member of the Local Administrators group on the Windows Deployment Services server. To start the Windows Deployment Services client, you must be a member of the Domain Users group.

Installing Windows Deployment Services

Choose one of the following methods to install this server role:

  • To use the Initial Configuration Wizard, click Add roles on the Initial Configuration Tasks startup screen. Click Next, and then select Windows Deployment Services. Follow the instructions in the wizard.

  • To use Server Manager, in the Roles Summary pane, click Add roles. Click Next, and then select Windows Deployment Services. Follow the instructions in the wizard.

During the installation, you have two role services that you can choose from:

  • Transport Server

  • Deployment Server

Additional references

  • For more detailed information about upgrading and installing Windows Deployment Services, see http://go.microsoft.com/fwlink/?LinkId=89222.

  • For more information about RIS upgrades and coexistence, see http://go.microsoft.com/fwlink/?LinkId=89227.

  • Overview of Windows Deployment Services

  • Transport Server

  • Deployment Server


Transport Server

During installation, you can choose to install only Transport Server. This role service provides a subset of the functionality of Windows Deployment Services. It contains only the core networking parts. You can use Transport Server to create multicast namespaces that transmit data (including operating system images) from a stand-alone server. The stand-alone server does not need Active Directory, DHCP, or DNS. You can choose this option in advanced scenarios as a part of a custom deployment solution.

  • Configuring Transport Server

  • Creating a namespace with Transport Server

    Note

    If multiple servers are using multicast functionality on a network (Transport Server, Deployment Server, or another solution), it is important that each server is configured so that the multicast IP addresses do not collide. Otherwise, you may encounter excessive traffic when you enable multicasting. Note that each Windows Deployment Services server will have the same default range. To work around this issue, specify static ranges that do not overlap to ensure that each server is using a unique IP address.

Configuring Transport Server

Transport Server does not require any configuration. However, you can perform the following optional configurations:

  • If you are using MADCAP for IP addresses, run:

    WDSUTIL /Set-TransportServer /ObtainIPv4From:DHCP
  • If you are using a defined range for IP addresses, run:

    WDSUTIL /Set-TransportServer /ObtainIPv4From:Range /Start:<start Ipv4 Address> /End:<end Ipv4 Address>
    Note

    When using a defined range, specify ranges that do not overlap to ensure that each server is using a unique IP address.

  • To set the UDP port range, run:

    WDSUTIL /Set-TransportServer [/Server:<name>] /StartPort:x /EndPort:y
  • To set the network profile, run:

    WDSUTIL /Set-TransportServer [/Server:<name>] /Profile:{10Mbps|100Mbps|1Gbps|Custom}
    Important

    After configuring any of these settings, you must restart the WDSServer service to apply the changes. To restart the service, at a command prompt, run net stop wdsserver, and then run net start wdsserver.

Creating a namespace with Transport Server

You can use the Transport Server role service to create namespaces. A namespace is a transmission that does not have any settings already set for you. For example, with namespaces, you have to manually set the names for the data and data groups, the content provider, and the path to the folder that contains the data.

  • Prerequisites for creating a namespace with Transport Server

  • Steps for creating a namespace with Transport Server

  • Common commands

  • Steps for client computers to join a namespace

Prerequisites for creating a namespace with Transport Server

To create a namespace with Transport Server, you need the following:

  • A content provider. You can use the Windows Deployment Services content provider (named WDS) that is included when you install Transport Server. Or you can create your own content provider by using the tools in the Windows SDK.

  • Data to transmit. You can transmit any data that your content provider knows how to find (for example operating system images, data files, or an MP3 archive). The Windows Deployment Services content provider knows how to find any file within a directory.

  • Familiarity with WDSUTIL. The only way to manage Transport Server is through the WDSUSTIL command-line tool.

  • A way to boot clients because Transport Server does not include a PXE listener.

  • Routers. The routers in your environment must support multicasting.

Steps for creating a namespace with Transport Server

You can create Scheduled-Cast and Auto-Cast namespaces. For more information about each parameter, see Options.

  • To create a Scheduled-Cast namespace, run:

    WDSUTIL /New-Namespace [/Server:<server name>] /Namespace:<namespace name> /FriendlyName:<friendly name> [/Description:<description>] /ContentProvider:<name> /ConfigString:<config string> /NamespaceType:ScheduledCast [/Time:<YYYY/MM/DD:hh:mm>] [/Clients:<number of clients>]
    For example:

    WDSUTIL /New-Namespace /Server:MyWDSServer /FriendlyName:"Custom Scheduled Namespace" /Namespace:"Custom Scheduled 1" /ContentProvider:WDS /ConfigString:D:\Images /NamespaceType:ScheduledCast /Time:"2006/11/20:17:00" /Clients:20
  • To create an Auto-Cast namespace, run:

    WDSUTIL /New-Namespace [/Server:<server>] /Namespace:<namespace name> /FriendlyName:<friendly name> [/Description:<description>] /ContentProvider:<name> /ConfigString:<config string> /NamespaceType:AutoCast
    For example:

    WDSUTIL /New-Namespace /FriendlyName:"Custom AutoCast Namespace" /Namespace:"Custom Auto 1" /ContentProvider:WDS /ConfigString:D:\Images /NamespaceType:AutoCast

Common commands

The following are the most commonly used commands with Transport Server. For more information about each parameter, see Options.

  • To start the transmission, run:

    WDSUTIL /Start-Namespace /Namespace:<name>
    Note

    To start a transmission, the transmission must be a Scheduled-Cast namespace, and there must be at least one client that has requested the transmission of data.

  • To display information for the clients that are connected to a namespace (for example, computer name, MAC address, IP address, speed, and percent complete), run:

    WDSUTIL /Get-Namespace /Namespace:<name> /Show:Clients
  • To remove a namespace, run:

    WDSUTIL /Remove-Namespace [/Server:<server name>] /Namespace:<namespace name> [/Force]
    For example:

    • To remove the namespace after current client downloads are complete, run:

      WDSUTIL /Remove-Namespace /Namespace:"Custom Auto 1"
    • To remove the namespace immediately and stop any current client downloads, run:

      WDSUTIL /Remove-Namespace /Server:MyWDSServer /Namespace:"Custom Auto 1" /Force
  • To stop a client installation completely, run:

    WDSUTIL /Disconnect-Client /ClientID:<id> /Force
    Important

    You should use this option with caution because the installation will fail and the computer could be left in an unusable state.

  • To discontinue the download for a client but continue to transfer the image through another method (such as SMB copy), run:

    WDSUTIL /Disconnect-Client /ClientID:<id>
  • To view the client <id> for each namespace, run:

    WDSUTIL /Get-Namespace /Namespace:<name> /show:clients
Options

The options in the following table apply to the previous sections: "Steps for creating a namespace with Transport Server" and "Common commands."

Option | Description
/Server:<server name> | Specifies the name of the Windows Deployment Services server. This can be either the NetBIOS name or the FQDN. If not specified, the local server will be used.
/Namespace:<Namespace name> | Specifies the name of the namespace to create. This name must be unique.
/FriendlyName:<friendly name> | Specifies the friendly name of the namespace. This name does not need to be unique.
/Description:<description> | Specifies a description of the namespace.
/ContentProvider:<name> | Specifies the name of the content provider that supplies data to the multicast server. If you are using the Windows Deployment Services content provider, specify WDS.
/ConfigString:<config string> | Specifies the configuration string for the content provider. If you are using the Windows Deployment Services content provider (WDS), specify the path to the directory where content is stored (for example D:\Photos\Landscapes). This path can be anywhere on the server.
/NamespaceType: {AutoCast|ScheduledCast} | Specifies the type of namespace to create.
/Time:<YYYY/MM/DD:hh:mm> | Specifies the time on the server when the namespace will start (allowed only for Scheduled-Cast).
/Clients:<Num of Clients> | Specifies the number of clients to wait for before the namespace will start (allowed only for Scheduled-Cast).
/Force | Deletes the transmission—even if there are current client installations. If you do not specify /Force, the transmission will be in the Delete Pending state. (After clients' downloads are complete, the transmission will be removed.)

Steps for client computers to join a namespace

In Transport Server, client computers join a transmission by using Wdsmcast.exe (a command-line tool included in the Windows AIK). Wdsmcast.exe runs on Windows Server 2003, Windows Vista, Windows Server 2008, or Windows PE 2.0.

To join a namespace

  1. Install Wdsmcast.exe onto the client computer. Wdsmcast.exe is located in the Tools directory of the Windows AIK.

    • If the client has an operating system (Windows Vista or Windows Server 2003), you can install the Windows AIK.

    • If the client does not have an operating system, you need to add Wdsmcast.exe to a Windows PE image and boot the client into the image. Instructions for doing this are included in the Windows AIK (http://go.microsoft.com/fwlink/?LinkId=81030).

  2. Run the following from the client computer.

    WDSMCAST /Transfer-File /Server:<server name> /Namespace:<namespace name> /Username:<domain and user name> [/Password:<password>] /SourceFile:<file path> /DestinationFile:<file path>

    The following table explains these options:

    Option Explanation

    /Server:<server name>

    Name of the Windows Deployment Services server. This can be either the NetBIOS name or the FQDN.

    /Namespace:<namespace name>

    Name of the namespace to connect to.

    /Username:<domain and user name>

    Domain and user name to connect to the server with. Can be in the format Domain\User or User@Domain.

    [/Password:<password>]

    Password for the user. If this is not specified, you will be prompted to enter it.

    /SourceFile:<file path>

    Path to the file to be transferred, relative to the root directory of the content provider (for example, if you are using the Windows Deployment Services content provider (named WDS), the path is relative to the ConfigString directory).

    /DestinationFile:<file path>

    Complete file path and name for the destination file.

Additional references

  • Installing Windows Deployment Services

  • Deployment Server


Deployment Server

Deployment Server provides the full functionality of Windows Deployment Services, which you can use to configure and remotely install Windows operating systems. With Windows Deployment Services, you can create and customize images and then use them to reimage computers. Deployment Server is dependent on the core parts of Transport Server (which is why you cannot install only Deployment Server without Transport Server). Deployment Server provides an end-to-end operating system deployment solution. It includes the following parts:

  • A PXE server to support network boot

  • An image store to manage

  • A transport server to allow multicast

  • A diagnostics piece to monitor client installs

  • Management tools to configure and manage the server

Additional references

  • Installing Windows Deployment Services

  • Configuring Windows Deployment Services

  • Managing Windows Deployment Services

  • Managing Images

  • Troubleshooting Windows Deployment Services


Configuring Windows Deployment Services

Note

This topic applies to the Deployment Server role service. For information about configuring the Transport Server role service, see Transport Server.

You can configure Windows Deployment Services by using the Windows Deployment Services MMC snap-in or by using WDSUTIL at the command prompt. Configuring Windows Deployment Services involves the following actions:

  • Creating a shared folder that contains the files necessary for PXE boot, the files for booting Windows PE into RAMDISK, Windows PE boot images, and install images for Windows Vista or Windows Server 2008.

  • Configuring the answer settings of the PXE listener to control whether and how the server services incoming client boot requests.

  • If Microsoft DHCP is installed on the same physical computer as Windows Deployment Services, the configuration wizard will do the following—if you configure Windows Deployment Services by using WDSUTIL, you have to manually make these changes:

    • Adds DHCP option tag 60 (with the PXE client setting selected) to all DHCP scopes (as a DHCP global option). This is necessary so that a booting PXE client can be notified that there is a listening PXE server on the network.

    • Selects the Do not Listen on port 67 option. This is necessary so that booting clients can find the DHCP server on the network.

You can configure Windows Deployment Services by using one of the following procedures:

To configure using the Windows interface

  1. Click Start, click Administrative Tools, and then click Windows Deployment Services.

  2. In the left pane of the Windows Deployment Services snap-in, right-click the server and click Configure Server.

  3. Follow the instructions in the wizard.
To configure using a command line

  1. Click Start, right-click Command Prompt, and then click Run as administrator.

  2. Type the following command where <driveletter> is the name of the NTFS formatted drive and <foldername> is the name of the directory where you want to create the shared folder:

    WDSUTIL /initialize-server /reminst:"<driveletter>\<foldername>"

  3. To set the answer policy to answer all clients, run:

    WDSUTIL /Set-Server /AnswerClients:all

  4. If you are installing Windows Deployment Services on a computer with Microsoft DHCP installed, run:

    WDSUTIL /Set-Server /UseDHCPPorts:no /DHCPoption60:yes
    Note

    For more information about why you must configure these options, see Set DHCP Configuration Options.

  5. To add a boot image, run the following command where <bootimage> is the full path to the boot image:

    WDSUTIL /Add-Image /ImageFile:<bootimage> /ImageType:boot

  6. To add an install image, run the following command where <installimage> is the full path to the install image and <name> is the name of the image group to create (you can append /SingleImage:<imagename> to add only one of the images included in the install.wim):

    WDSUTIL /add-image /ImageFile:<installimage> /ImageType:install /ImageGroup:<name>
    Note

    Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

Additional considerations

  • The only server functional mode in Windows Server 2008 is Native mode. If you are managing servers running the Windows Deployment Services Update, see Chapter 11: RIS Upgrades and Coexistence of Deploying and Managing the Windows Deployment Services Update on Windows Server 2003 (http://go.microsoft.com/fwlink/?LinkId=81031).

  • To perform these procedures, you must be a member of the Account Operators group or the Domain Administrators group, or you must have been delegated the appropriate user rights.

Additional references

  • Installing Windows Deployment Services


Managing Windows Deployment Services

In this section:

  • Configure <Server> Properties

  • Set DHCP Configuration Options

  • Prestage Client Computers

  • Set the Computer Naming Policy

  • Create Pending Devices

  • Install an Operating System

  • Add or Remove a Server


Configure <Server> Properties

You can use <Server> Properties to configure various aspects of your server's configuration. For additional information about the PXE Server, Boot, and Network Settings tabs, see the following topics:

  • PXE Response Settings tab

  • Boot tab

  • Network Settings tab

Additional references

  • Managing Windows Deployment Services


PXE Response Settings tab

The settings on this tab determine which clients Windows Deployment Services responds to, what action is taken when responding to an unknown client, and how long to wait before responding to a client.

Option Explanation

PXE Response Policy

This option specifies how the Windows Deployment Services PXE server responds to incoming client PXE requests.

  • Respond only to known client computers. Choose this option if you have prestaged clients in Active Directory. When you select this option, clients that are not prestaged will not be able to PXE boot to the Windows Deployment Services server.

  • Respond to all (known and unknown) client computers. Choose this option to allow all clients to PXE boot to the Windows Deployment Services server.

  • For unknown clients, notify administrator and respond after approval. Choose this option if you want to approve new clients before allowing them to receive boot services from a Windows Deployment Services server.

PXE Response Delay

Use this setting to adjust how quickly the server responds to clients on the network. It sets the amount of time the PXE server waits for other PXE servers to respond. This setting should remain at zero (default) unless there are other PXE responders on the network that have precedence or if your network requires an increased PXE response delay.

Additional references

  • Configure <Server> Properties

  • Prestage Client Computers


Boot tab

You can configure the default boot program and default boot images on a per-architecture basis by using the Boot tab.

  • Default boot program

  • Default boot image

Default boot program

You can set the default boot program settings to define how the PXE client interacts with the Windows Deployment Services server for each architecture. The following table describes the available boot programs.

NBP Description Architecture/BIOS

PXEboot.com

Requires the end user to press the F12 key for PXE boot to continue. (This is the default NBP.)

x86-based and x64-based BIOS (same file used for both)

PXEboot.n12

Immediately begins PXE boot (does not require pressing F12 on the client).

x86-based and x64-based BIOS (same file used for both)

AbortPXE.com

Allows the device to immediately begin booting by using the next boot device specified in the BIOS. This allows for devices that should not be booting by using PXE to immediately begin their secondary boot process without waiting for a timeout.

x86-based and x64-based BIOS (same file used for both)

Hdlscom1.com and Hdlscom2.com

Systems that do not support firmware console redirection display the prompt "Press space or F12 for network boot" by using console redirection to serial port 1 or 2. Users can proceed with the boot process by pressing space or F12, or they can exit the boot process by not pressing either button.

x86-based and x64-based BIOS (same file used for both)

Hdlscom1.n12 and Hdlscom2.n12

Systems that support firmware console redirection do not display the prompt "Press space or F12 for network boot," and they do not wait for user input.

x86-based and x64-based BIOS (same file used for both)

Bootmgfw.efi

The EFI version of PXEboot.com or PXEboot.n12 (in EFI, the choice of whether or not to PXE boot is handled within the EFI shell and not by the NBP). Bootmgfw.efi is equivalent to combining the functionality in PXEboot.com, PXEboot.n12, abortpxe.com, and bootmgr.exe. This currently exists only for x64-based and Itanium-based architectures.

x64-based and Itanium-based EFI

Wdsnbp.com

A special NBP developed for use by Windows Deployment Services that serve the following general purposes:

  • Architecture detection

  • Pending devices scenarios

  • Network boot referral cases (including use of DHCP options 66 and 67)

x86-based and x64-based BIOS (same file used for both)

Default boot image

You can use this option to specify a default image per architecture and per server. You may want to do this so that x64-based client computers always receive x64-based system images, or if you include architecture specific tools in your image.

Additional considerations

  • To change these options, you must be a member of the Account Operators group or the domain administrators group, or you must have been delegated the appropriate user rights.

Additional references

  • Configure <Server> Properties


Network Settings tab

On this tab, you can set the Multicast IP Address, UDP Port Range, and Network Profile. After you configure Windows Deployment Services server, if you modify any of these options, or the RPC port number (by running wdsutil /set-server /rpcport:<portnum>), you must restart the service before the changes will take effect. If you do not restart the service, the server will use the old values and may not answer clients. To restart the service, do one of the following:

  • Right-click Windows Deployment Services in the MMC snap-in and click Restart

  • Run net stop wdsserver and then run net start wdsserver from the command line

Setting Details

Multicast IP Address

This setting is applicable only if you are enabling multicast transmissions. You can choose from the following options:

  • Obtain IP address from DHCP. You can select this option only if your DHCP server supports it. If you select it, the IP address will be obtained by using the Multicast Address Dynamic Client Allocation Protocol (RFC 2730, Multicast) for each namespace. For more information, see http://go.microsoft.com/fwlink/?LinkId=81507. You might want to select this setting for manageability reasons—for example, if you have multiple Windows Deployment Services servers for the same clients.

    Selecting this setting is the same as running:

    WDSUTIL /Set-Server [/Server:<name>] /Transport /ObtainIPFrom:DHCP

  • Use IP address from the following range. This option specifies the range of IP addresses for the Windows Deployment Services server to use. Setting this option is the same as running:

    WDSUTIL /Set-Server [/Server:<name>] /Transport /ObtainIPv4From:Range /Start:x.x.x.x /End:y.y.y.y

    Note

    Be sure to specify static ranges that do not overlap to ensure that each server is using a unique IP address.

UDP Port Range

We recommend that you do not modify this range.

This setting specifies the range of UDP ports to use. These ports will be used by the Windows Deployment Services server for multicasting and other components such as the TFTP provider.

Before you change this range, you need to have at least as many ports as you have sessions and concurrent clients accessing the server. In terms of multicasting, a session is a network interface on your server. To calculate the number of sessions, multiply the number of network adapters on your server by the number of images that could be concurrently multicasted. For example, if you have two network adapters, and clients are connected on both interfaces, the content will be sent on the network twice (once from each interface). So in this case, you would need at least two ports.

Because this range is also used by the TFTP provider, you will need as many available ports as you have concurrent clients accessing the server.

This setting is the same as running:

WDSUTIL /Set-Server [/Server:<name>] /Transport /StartPort:x /EndPort:y

Network Profile

Specifies the network speed of your organization. Each profile contains settings to optimize performance for the specified speed (such as the maximum transport window size, the transport cache size, and the block size). You can view the profiles at HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\WDSServer\Providers\Multicast\Profiles

Select Custom if you want to customize the settings yourself by editing the registry. You should not modify the other profiles that are provided. You should create a custom profile even if you only want to change one setting. Selecting this option is the same as running:

WDSUTIL /Set-Server [/Server:<name>] /Transport /Profile:{10Mbps|100Mbps|1Gbps|Custom}

Additional references

  • Configure <Server> Properties

  • Enable Multicast Transmission of an Image


Set DHCP Configuration Options

You can set the Dynamic Host Configuration Protocol (DHCP) configuration options on the DHCP tab of the server properties. The default configuration of Windows Deployment Services assumes that the Microsoft DHCP Server service and Windows Deployment Services server are on separate physical computers. If DHCP and Windows Deployment Services are running on the same computer, then you should configure the following options. You can also configure these options at the command prompt.

  • To configure DHCP option 60, run:

    WDSUTIL /set-server /DHCPoption60:yes
  • To configure port 67, run:

    WDSUTIL /set-server /usedhcpports:no

The reason you must configure these options in this scenario is because, DHCP must inform the client computer that there is a PXE server listening on the network by including DHCP option tag 60 in the DHCPOffer packet. In addition, because DHCP listens on port 67 by default, when Windows Deployment Services and DHCP exist on the same computer, the Windows Deployment Services PXE server is not able to listen on port 67 for incoming PXE boot requests.

Additional considerations

  • To perform these procedures, you must be a member of the Account Operators group or the Domain Administrators group, or you must have been delegated the appropriate user rights.

Additional references

  • Configure <Server> Properties


Prestage Client Computers

Prestaging client computers enables you to assign computers to a specific Windows Deployment Services server. When used with the Respond only to known client computers policy (on the PXE Response Settings tab ), prestaging also enables you to control which computers Windows Deployment Services will deploy an image to. Windows Deployment Services provides automated and manual methods to prestage client computers. For the automated method see Create Pending Devices.

To prestage client computers by using the Windows interface

  1. To open Active Directory Users and Computers, click Start, click Run, type dsa.msc, and then click OK.

  2. In the console tree, right-click the organizational unit that will contain the new client computer.

  3. Click New, and then click Computer.

  4. Type the client computer name, click Next, and then click This is a managed computer.

  5. In the text box, type the client computer's MAC address or globally unique identifier (GUID), and then click Next.

    Note

    If you specify a MAC address, you must precede it with twenty zeros (0).

  6. Click one of the following options to specify which server or servers will support this client computer:

    • Any available remote installation server

    • The following remote installation server

  7. Click Next, and then click Finish.
To prestage client computers by using a command line

  1. Click Start, right-click Command Prompt, and then click Run as administrator.

  2. Type the following where <devicename> is the name, <GUIDorMACAddress> is the identifier of the new computer, and <options> are any optional settings.

    WDSUTIL /add-device /device:<devicename> /ID:<GUIDorMACAddress> /options

    Note

    If you use a MAC address with the /ID option, you must precede it with twenty zeros (0).

Additional considerations

  • When a computer is prestaged into a domain with multiple domain controllers, the replication delay of the client computer account information can cause a client computer to be serviced by another Windows Deployment Services server.

Additional references

  • Managing Windows Deployment Services

  • Create Pending Devices


Set the Computer Naming Policy

You can use the Directory Services tab to specify the computer naming policy. Alternatively, you can create the computer account by prestaging client computers or by creating a custom user interface. For more information about these options, see Alternative Ways to Create Computer Accounts.

The automatic naming policy is based on the user's name and adds an incremental number to ensure that the computer name is unique. The settings on this tab will be applied when using the Pending Devices policy to create a computer account and when using the Windows Deployment Services client to create a computer account.

The following table outlines the variables that you can specify to create the customized name. You can use these options separately, or you can combine them. In addition, you can limit the length of the computer names by adding a numerical value to the text string.

Variable | Result
%First | The user's first name is used as the computer name.
%Last | The user's last name is used as the computer name.
%Username | The user name is used as the computer name.
%MAC | The network adapter media access control (MAC) address is used as the computer name.
%[0][n]# | The computer name includes an incremental number containing n digits. To include zero-padding in the incremental number, type a zero as shown. For example, if you use %03#, a three-digit number in the range from 001 through 999 is used.

Examples

  • If you want to limit the computer name to three characters of the user's last name with a two-digit incremental number appended, you would type the string %3Last%02#. For example, for the fifth computer user whose last name is Smith the corresponding computer name would be Smi05.

  • If you want the computer name to consist of the first three letters of the user's first name, followed by the first three letters of the user's last name, followed by a three-digit incremental number, type the string %3First%3Last%03#.

Issues

Note the following issues when you set the client naming policy:

  • 15 characters is the maximum length for a computer name. However, the default policy allows names that are up to 63 characters. When a name that is more than 15 characters is generated, any characters after the first 15 will be truncated, and the computer will be unable to join the domain. You must specify a naming policy that generates names with 15 or fewer characters.

  • The computer name can contain only standard characters. The Auto-Add policy will fail if the computer name contains non-standard characters. The allowed characters are defined in Request for Comments (RFC) 1123 as follows: all uppercase letters (A-Z), lowercase letters (a-z), numbers (0-9), and the hyphen (-).

Alternative ways to create computer accounts

There are two additional ways to create the client computer account. The following methods do not use the settings specified on the Directory Services tab. In addition, if Pending Devices are enabled, you can overwrite these settings when you approve each device.

  • Prestage the client computer. For more information, see Create Pending Devices.

  • Create a custom user interface that prompts users for the domain join information. You can create a custom user interface to specify the computer name and organizational unit before installation. For instance, you can write a script that runs within Windows Preinstallation Environment (Windows PE) that captures the computer name and organizational unit information, places it into an unattend installation file, and then starts Setup.exe. Microsoft Solution Accelerator for Business Desktop Deployment 2007 is an application that provides this level of customization (http://go.microsoft.com/fwlink/?LinkId=71137).

Additional considerations

  • To perform this procedure, you must be a member of the Account Operators group or Domain Administrators group, or you must have been delegated the appropriate user rights.

Additional references

  • Managing Windows Deployment Services


Create Pending Devices

You can use the Pending Devices database to approve or reject client installations from Windows Deployment Services. At the same time, you can prestage the client computers. Prestaged clients are computer account objects that are created within Active Directory Domain Services (AD DS) before the operating system is installed. This allows you to specify the boot image and client unattend file that the device receives, and specify the computer name and organizational unit where the computer account will be created. The Auto-Add policy gives you the power to prestage without needing to know the client computer's GUID or MAC address in advance.

To enable the Auto-Add policy, select For unknown clients, notify administrator and respond after approval on the PXE Response Settings tab of the server's properties page. When this policy is enabled, unknown clients that PXE boot are placed in the pending queue. The device remains in the queue until one following actions occurs:

  • The device is approved. When a device is approved, the client computer continues with the network boot operation and a computer account object is created in AD DS to represent the physical device.

  • The device is rejected. When a device is rejected, the client computer aborts the network boot attempt and continues to boot from the next device (as defined in the BIOS boot order). A computer account in AD DS is not created for a rejected device.

  • A time-out is reached.

  • The network boot attempt is cancelled by the user.

All devices in the pending queue are represented as an entry in the Pending Devices database, on the Windows Deployment Services server that responded to the client’s initial PXE boot request. The purposes of this temporary storage location are:

  • To provide the management utilities with a common interface to use to generate a list of all pending devices on a server.

  • To serve as an audit trail by recording what devices have been approved or rejected.

The following procedures explain how to view, approve, and reject pending devices. For more information about working with pending devices, see http://go.microsoft.com/fwlink/?LinkId=89223.

To view pending devices

Using the MMC | Using WDSUTIL
Select the Pending Devices node. | Run WDSUTIL /Get-AutoAddDevices /DeviceType:PendingDevices

To approve a pending device by using the default settings

Using the MMC Using WDSUTIL
  1. Select the Pending Devices node.

  2. Select the device you wish to approve.

  3. From the Action menu, select Approve.

Run WDSUTIL /Approve-AutoAddDevices /RequestID:<ID> with the ID obtained from the Pending Devices database

To reject a pending device

Using the MMC Using WDSUTIL
  1. Select the Pending Devices node.

  2. Select the device you want to reject.

  3. From the Action menu, select Reject.

Run WDSUTIL /Reject-AutoAddDevices /RequestID:<ID> with the ID obtained from the Pending Devices database

Additional considerations

  • For more information about working with pending devices, see http://go.microsoft.com/fwlink/?LinkId=89223.

  • You need to delegate permissions to the computer object for the Windows Deployment Services server by using the AD DS management tools. This ensures that the Windows Deployment Services server can successfully create new computer objects in the domain.

Additional references

  • Managing Windows Deployment Services


Install an Operating System

To PXE boot a computer to install an image, complete the steps in this section.

To install an operating system

  1. Configure the BIOS of the computer to enable PXE boot, and set the boot order so that it is booting from the network is first.

  2. Restart the computer and when prompted, press F12 to initiate the PXE boot process.

  3. Select the appropriate boot image from the menu. This boot image selection menu will only be available if you have two or more boot images on the Windows Deployment Services server. For more information, see Add a Boot or Install Image.

  4. Select the locale that you want Setup to run in. For more information, see Associate Language Packs.

  5. When prompted, provide a user name and password with sufficient credentials to install images from the Windows Deployment Services server.

  6. Continue to follow the instructions provided in the Windows Deployment Services client.

  7. When image installation is complete, the computer will reboot and Windows Setup will continue.

Additional references

  • Managing Windows Deployment Services


Add or Remove a Server

Use the following procedures to add or remove a server.

To add a server

  1. In the Windows Deployment Services MMC snap-in, right-click the Servers node, and then click Add Server.

  2. Select the server to be added, and click OK to continue.

  3. In the Add Server Warning dialog box, click Yes to add the server.

  4. Exit the snap-in, and click Yes to save your settings.
To remove a server

  1. In the Windows Deployment Services MMC snap-in, expand the Servers node.

  2. Right-click the server that you want to remove from the console.

  3. Click Remove Server.

Additional references

  • Managing Windows Deployment Services


Managing Images

You can manage Windows images by using the Windows Deployment Services snap-in or by using WDSUTIL at a command prompt. For more information about using the management tools, see http://go.microsoft.com/fwlink/?LinkId=89223. To view the properties of an image right-click the image, and then click Properties. Alternatively, you can run the following command where <ImageName> is the name of the image, <ImageType> is boot or install and <Arch> is x86 or x64:

WDSUTIL.exe /Get-Image /Image:<ImageName> /ImageType:<ImageType> /Architecture:<Arch>

Image types

The main image types used in Windows Deployment Services are install images and boot images.

Image type Description

Install images

Install images are the operating system images that you deploy to the client computer. You can use the default install image (install.wim) located in the \Sources directory on the Windows Vista or Windows Server 2008 DVDs.

In addition, you can build custom install images from reference computers and deploy them to client computers. First, you boot a computer (which has been prepared with Sysprep) into a capture image, then the capture image creates an install image of the computer.

Boot images

Boot images are the images that you boot a client computer into before installing the operating system image. The boot image presents a boot menu that contains the images that users can install onto their computers. These images contain Windows PE 2.0 and the Windows Deployment Services client. You can use the default boot image (boot.wim) that is included in the \Sources directory of the Windows Server 2008 installation media. Except in advanced scenarios (for example, if you need to add drivers to the image), you will not need to modify this file.

Important

You should use only the boot.wim file from the Windows Server 2008 DVD. If you use the boot.wim file from the Windows Vista DVD, you will not be able to use the full functionality of Windows Deployment Services (for example, multicasting).

In addition, there are two types of images that you can create from boot images: capture images and discover images.

  • Capture images. Capture images are boot images that launch the Windows Deployment Services Capture Utility instead of Setup. When you boot a reference computer (that has been prepared with Sysprep) into a capture image, a wizard creates an install image of the reference computer and saves it as a .wim file. You can also create media (such as a CD, DVD, or USB drive) that contains a capture image, and then boot a computer from the media. After you create the install image, you can add the image to the server for PXE boot deployment. These images provide an alternative to the command-line utility, ImageX.exe.

  • Discover images. Discover images are boot images that force Setup.exe to launch in Windows Deployment Services mode and then discover a Windows Deployment Services server. These images are typically used to deploy images to computers that are not PXE enabled or that are on networks that do not allow PXE.

    When you create a discover image and save it to media (such as a CD, DVD, or USB drive), you can then boot a computer to the media. The discover image on the media locates a Windows Deployment Services server, and the server deploys the install image to the computer.

    Note

    You can configure discover images to target a specific Windows Deployment Services server. This means that if you have multiple servers in your environment, you can create a discover image for each, and then name them based on the name of the server.

Image groups

An image group is a collection of .wim files that share common file resources and security. Servicing an image within an image group (such as applying a hotfix or a service pack or updating files) requires exclusive access to the entire image group. File resources are shared across the image group (single-instanced) even though the metadata of each image resides in a separate physical .wim file. Image groups contain two file types:

  • Res.rwm. Contains the file streams for images as defined in Install.wim, Install2.wim, and WinXP.wim. Note that each image group has its own Res.rwm file.

  • Install.wim. Contains image metadata that describes the content of an operating system image. The actual file resources for the image reside in Res.rwm.

Each image group will have a Res.rwm file created when the first image is added to the image group. All resources for all files reside in Res.rwm. The Res.rwm file is a .wim file that is renamed to differentiate the resource-only .wim file from the metadata .wim files and to speed up image enumeration. Because image enumeration only works on .wim files, the Res.rwm file will be skipped.

The .wim file format uses single-instancing technology, so the disk storage requirements for images within an image group are significantly reduced.

Additional references

  • Add a Boot or Install Image

  • Create an Install, Capture, or Discover Image

  • Modify a Boot or Install Image

  • Enable Multicast Transmission of an Image

  • Associate Unattend Files

  • Associate Language Packs

  • Convert RIPREP Images


Add a Boot or Install Image

You can add images by using the Windows Deployment Services MMC snap-in or by using WDSUTIL at a command prompt.

  • Add an install image

  • Add a boot image

Add an install image

To add the default install images included in the product installation DVD

  1. Expand the server that you want to add the install image.

  2. Right-click the Install Images node, and then click Add Install Image.

  3. Specify a name for the image group, and then click Next.

  4. Browse to select the default install image (install.wim) located in the \Sources directory on the Windows Vista or Windows Server 2008 DVD, and then click Open.

  5. To add a subset of the images included in the install.wim, then clear the check boxes for the images that you do not want to add to the server. You should only add the images for which you have licenses.

  6. Follow the instructions in the wizard to add the images.

To add an additional install image

  • Do one of the following:

    • Right-click the image group where you want to add the image, click Add Install Image and browse to select the image. To add a subset of the images included in the install.wim, clear the check boxes for the images that you do not want to add to the server. You should only add the images for which you have licenses.

    • Type the following where the path is the full path to the install image:

      WDSUTIL /add-image /imagefile:\\server\share\sources\install.wim /image type:install

Add a boot image

The Windows Deployment Services boot menu will appear when you PXE boot a computer, and more than one supported boot image exists on the Windows Deployment Services server. You can accomplish many tasks by using Windows PE boot images—for example, you could have boot images that:

  • Launch Setup to install Windows.

  • Reformat the hard disks to support BitLocker Drive Encryption (using unattend) and then install Windows.

  • Contain the Windows Recovery Environment (Windows RE) that you want to use when a computer fails to start.

  • Contain the Windows Deployment Services Image Capture Wizard, which creates an install image from the client computer's operating system.

  • Include a Windows PE image for administrators who want to perform other operations from within Windows PE.

In addition, x64-based computers can run x86-based or x64-based Windows PE boot images. Therefore, for each of these tasks, you could have two boot images—one for x86 and one for x64. The boot menu on x86-based computers will only display the x86 boot images because x86-based computers cannot run x64 boot images.

The following procedures outline how to add more boot images to the boot menu. To view help for WDSUTIL, type WDSUTIL /? at a command prompt.

To add the default boot image included in the product installation DVD

  1. Expand the server that you want to add the boot image..

  2. Right-click the Boot Images node, and then click Add Boot Image.

  3. Browse to choose the default boot image (boot.wim) located in the \Sources directory on the Windows Server 2008 DVD.

  4. Click Open, and then click Next.

  5. Follow the instructions in the wizard to add the image.
To add an additional boot image

  • Do one of the following:

    • Right-click the Boot Images node, click Add Boot Image, and browse to locate the boot image that you want to add. The boot image must be located on the server, and it can be the same or different architecture.

    • Run the following command to add an additional boot image, where <bootimage> is the full path to the boot image on the server. The image can be the same or a different architecture.

      WDSUTIL /Add-Image /ImageFile:<bootimage> /ImageType:boot

To make additional changes to the boot menu, use Bcdedit.exe to edit the default.bcd file located at %REMINST%\boot\<architecture>. You can run bcdedit /? at a command prompt to see the command-line options. For more information, see Boot Configuration Data Editor Frequently Asked Questions (http://go.microsoft.com/fwlink/?LinkID=65818).

Additional considerations

  • The default behavior is for x64-based computers to display both x86-based and x64-based boot images when both are available. To change this default, run:

    WDSUTIL /Set-Server /Defaultx86x64ImageType:{x86|x64|both}

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must have been delegated the appropriate user rights.

  • If the computer is joined to a domain, members of the Domain Administrators group may be able to perform this procedure.

  • As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Managing Images


Create an Install, Capture, or Discover Image

You can use Windows Deployment Services to create install, capture, and discover images.

  • Create a capture image

  • Create an install image

  • Create a discover image

Create a capture image

A capture image is a boot image that contains Windows PE 2.0, which has been modified to launch an image capture utility instead of setup. The image capture utility copies an image of the computer from the reference computer that has been prepared with Sysprep.exe. The output is an install image that you can add back to the Windows Deployment Services server and then deploy to client computers.

To create a capture image by using the Windows interface

  1. In the Windows Deployment Services MMC snap-in, expand the Boot Images node.

  2. Right-click the image to use it as a capture image.

  3. Click Create Capture Boot Image.

  4. Type a name, description, and the location where you want to save a local copy of the file. You must specify a location so that if there is a network issue when you deploy the capture image, you have a local copy.

  5. Continue to follow the instructions in the wizard, and when it is complete, click Finish.

  6. Right-click the boot image folder.

  7. Click Add Boot Image.

  8. Browse and select the new capture image, and then click Next.

  9. Follow the instructions in the Windows Deployment Services Capture Utility.
To create a capture image using a command line

  1. Click Start, right-click Command Prompt, and then click Run as administrator.

  2. Type the following where <bootimage> is the name of the boot image that you want to use to create the capture image and <captureimage> is the file path and file name of the new capture image:

    WDSUTIL /New-CaptureImage /Image:<bootimage> /Architecture:x86 /Filepath:<captureimage>

  3. Type the following where <captureimage> is the file path and file name of the capture image that you want to add to the image store:

    WDSUTIL /Add-Image /Imagefile:<captureimage> /ImageType:boot
    Note

    Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

Create an install image

Install images are the operating system image that you deploy to the client computer. You can either use the default install images (install.wim) that is included on the Windows Vista® media, or you can create your own install image by using the following procedure.

To create an install image

  1. Create a capture image and add it to the Windows Deployment Services server.

  2. Create a reference computer (install the operating system and applications, and make any other changes that you want).

  3. At a command prompt on the reference computer, change folders to \Windows\System32\Sysprep or the folder that contains Sysprep.exe and Setupcl.exe.

  4. Type one of the following:

    • On computers running Windows Vista, run sysprep /oobe /generalize /reboot. If you prefer, you can use the Sysprep graphical user interface by double-clicking Sysprep.exe.

    • On computers running Windows XP, run sysprep -mini -reseal

  5. When the computer restarts, press F12.

  6. In Windows Boot Manager, select the capture image, and then click Next.

  7. Choose the appropriate drive, and then provide a name and description for the image. Click Next to continue.

    Important

    You will only see drives that contain operating systems prepared with Sysprep. If you do not run the command in step 4, you will not see any drives to capture.

  8. Click Browse, and browse to a local location where you want to store the captured install image. You must specify a location so that if there is a network issue when you deploy the capture image, you have a local copy.

  9. Type a name for the image (use the .wim file name extension), and then click Save.

  10. Click Upload image to WDS server.

  11. Type the name of the Windows Deployment Services server, and then click Connect.

  12. If prompted for credentials, provide a user name and password for an account with sufficient permissions to connect to the Windows Deployment Services server.

  13. On the Image Group list, choose the image group in which to store the image.

  14. Click Finish.

Create a discover image

A discover image is a boot image that contains Windows PE 2.0 and has been modified to force Setup.exe to launch in Windows Deployment Services mode to find a Windows Deployment Services server. Generally, you will want to create a discover image for computers that are not PXE enabled. You save the discover image to a file, convert it to ISO format, and then burn it to a CD or DVD.

Discover images provide a means for network adapters that are not PXE-enabled to access the Windows Deployment Services PXE server.

Note

Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

To create a discover image by using the Windows interface

  1. In the Windows Deployment Services MMC snap-in, expand the Boot images node.

  2. Right-click the image you want to use as a discover image.

  3. Click Create Discover Boot Image.

  4. Follow the instructions in the wizard, and when it is complete, click Finish.

  5. Right-click the boot image folder.

  6. Click Add Boot Image.

  7. Browse and select the new discover image, and then click Next.

  8. Follow the instructions in the wizard.
To create a discover image using a command line

  1. Click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.

  2. Type the following where <bootimage> is the name of the boot image that you want to use to create the discover image, and <discoverimage> is the file path and file name of the new discover image:

    WDSUTIL /New-DiscoverImage /Image:<bootimage> /Architecture:x86 /Filepath:<discoverimage>

  3. If you want to add the discover image back to the image store, type the following where <discoverimage> is the file path and file name of the discover image you want to add to the image store:

    WDSUTIL /Add-Image /ImageFile:<discoverimage> /ImageType:boot
    Note

    Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

Now that you have created a discover image, you can create media that contains the discover image. Then you can boot a client computer to the media, and deploy an image using Windows Deployment Services server.

To create media that contains the discover image

  1. Download and install the Windows AIK (http://go.microsoft.com/fwlink/?LinkId=81030).

  2. Open a command prompt and change to the PETools folder by typing:

    Cd C:\Program Files\Windows AIK\Tools\PETools

  3. To create a Windows PE build environment, type:

    CopyPE <architecture> C:\Winpe

  4. To copy the discover image that you created in the previous procedure, type:

    Copy /y c:\boot.wim c:\Winpe\ISO\Sources

  5. To change back to the PETools folder, type:

    Cd C:\Program Files\Windows AIK\Tools\PETools

  6. To create the bootable ISO image, type:

    Oscdimg -n -bc:\winpe\ISO\boot\etfsboot.com c:\winpe\ISO c:\winpe.iso

  7. Use a utility that can create a CD or DVD to transfer the ISO image to the appropriate media.

    Note

    Using the Windows copy command to copy the image to media will not create a bootable disk.

Additional references

  • Managing Images

  • Convert RIPREP Images

  • Windows AIK User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552)

  • Sysprep Technical Reference (http://go.microsoft.com/fwlink/?LinkId=87732)


Modify a Boot or Install Image

You can modify images to add files or drivers without having to create a new image by using the tools in the Windows Automated Installation Kit (AIK). The processes are similar for a boot or install image, however the tool sets and syntax vary between image types.

Detailed information about modifying Windows image (.wim) files is available in the Windows AIK User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552).

To modify a boot image

  1. Disable the image that you want to modify. If you are using the Windows Deployment Services snap-in, right-click the image and select Disable. This will allow existing installations to continue, but new clients will not be able to enumerate the image.

  2. Export the image.

  3. Modify the image using the tools included in the Windows AIK.

  4. Add the image back to the Windows Deployment Services server. There are two ways to accomplish this:

    • Replace the existing image (assuming that all installations using it have completed) with the newly-serviced version. (Recommended)

    • Add the image as a new image. Later, you can remove the old image (which will not be enumerated because it was disabled).

To make any additional changes to the boot menu, use Bcdedit.exe to edit the default.bcd file located at %REMINST%\boot\<architecture>. You can run bcdedit /? at a command prompt to see the command-line options.

For more information, see Boot Configuration Data Editor Frequently Asked Questions (http://go.microsoft.com/fwlink/?LinkID=65818)

To modify an install image

  1. Disable the image that you want to modify. In the Windows Deployment Services MMC snap-in, right-click the image and select Disable. This will allow existing installations to continue, but new clients will not be able to enumerate the image.

  2. Export the image.

  3. Modify the image by using the tools included in the Windows AIK.

  4. Add the image to the server. There are two ways to do this:

    • Replace the existing image (assuming that all installations using it have completed) with the newly-serviced version. (Recommended)

    • Add the image as a new image. Later, you can remove the old image (which will not be enumerated because it was disabled).

Additional references

  • Managing Images

  • Windows AIK User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552)


Enable Multicast Transmission of an Image

This topic contains information about how to implement multicast when you have installed Deployment Server. If you installed Transport Server, see the Transport Server topic for information related to multicast with Transport Server.

  • Overview

  • Requirements

  • Enabling a multicast transmission

    • Using the Windows interface

    • Using a command line

Overview

Multicast allows you to deploy an image to a large number of client computers without overburdening the network. When you create a multicast transmission for an image, the data is sent over the network only once, which can drastically reduce the network bandwidth that is used.

Consider implementing multicast if your organization: Multicast might not optimize your installations if your organization:
  • Has network routers that support multicast.

  • Is a large company that requires many concurrent client installations.

  • Wants to efficiently use network bandwidth. This is because with this feature, images are only sent over the network once, and you can specify limitations (for example, to only use 10% of your bandwidth).

  • Has enough disk space on client computers for the image to be downloaded.

  • Meets the requirements listed below.
  • Has network routers that do not support multicast.

  • Does not have bandwidth overload problems.

  • Deploys images to only a small number of client computers simultaneously.

  • Has disk space limitations on the client computers. (This is because the image is downloaded to client computers instead of being installed from a server.)

Requirements

To implement this feature in your organization, you must have:

  • Routers that support multicast.

  • At least one install image (that you want to transmit) on the server.

  • The boot.wim file from the Windows Server 2008 media (located in the \Sources folder). The boot image from Windows Vista will not work with multicast transmission. If you use a Windows Vista file, you will be able to create the transmission, but people who boot into it will not be able to join a transmission.

    Note

    If multiple servers are using multicast functionality on a network (through Transport Server, Deployment Server, or another solution), it is important that each server is configured so that the multicast IP addresses do not collide. Otherwise, you may encounter excessive traffic when you enable multicast. Note that each Windows Deployment Services server will have the same default range. To work around this issue, specify static ranges that do not overlap to ensure that each server is using a unique IP address.

Enabling a multicast transmission

There are two types of multicast transmissions:

  • Auto-Cast. This option indicates that as soon as an applicable client requests an install image, a multicast transmission of the selected image begins. Then, as other clients request the same image, they too are joined to the transmission that has already started.

  • Scheduled-Cast. This option sets the start criteria for the transmission, based on the number of clients that are requesting an image and/or a specific day and time. If you do not select day and/or time check boxes, then you must manually start the transmission. In addition to these criteria, you can start a transmission manually at any time by right-clicking the transmission and clicking Start.

    Note

    Content is transferred over the network only if clients request the data. If no clients are connected (that is, the transmission is idle), then data is not sent over the network.

You can create transmissions using the Windows interface or a command line.

  • Using the Windows interface

  • Using a command line

Using the Windows interface

To enable multicast for an image, you must create a multicast transmission for it. To create a transmission, do either of the following:

  • Right-click the Multicast Transmission node, and then click Create Multicast Transmission.

  • Right-click an image, and then click Create Multicast Transmission.

Configuring transmissions

After a transmission is created, you can do the following:

  • Start the transmission. If the transmission is on a Scheduled-Cast, there is at least one client, and the transmission has not started yet, you can right-click the transmission, and click Start.

  • Delete the transmission. If you right-click the transmission and click Delete, the multicast transmission stops and each client installation reverts to using unicast. That is, the client installations are not deleted or stopped, but they do not use the multicast transmission to complete the installation.

  • Deactivate the transmission. If you right-click and click Deactivate, each client that is currently installing continues, but no new clients are joined to the transmission. After each current client installation is complete, the transmission is deleted. If there are no clients when you click this option, then the transmission is deleted instantly.

  • View properties. To view the properties, right-click the transmission, and click Properties. Note that you cannot edit the properties of a transmission after it is created. To make a change after you have created a transmission, you need to delete and recreate it.

  • Refresh the transmissions and data. To refresh the data, right-click a transmission and click Refresh, or press F5.

Configuring clients in a transmission

After you have created the transmission, client computers join the transmission by selecting the image in the Windows Deployment Services client. Client computers can also join a transmission using Wdsmcast.exe—a command-line tool included in the Windows AIK. When there are clients in a transmission, you can:

  • View clients and see progress. To view information about clients that are connected, expand the Multicast Transmissions node, and click the image. The clients are shown in the right pane.

  • Stop a client installation. To stop the installation completely, right-click a client and click Disconnect. You should use this option with caution because the installation will fail and the computer could be left in an unusable state.

  • Disconnect a client from a multicast transmission. To discontinue the transmission for a particular client but continue to transfer the image through unicast, right-click the client, and then click Bypass multicast.

Using a command line

Creating a multicast transmission for an install image

You have two options for transmission type: Auto-Cast and Scheduled-Cast.

  • To create an Auto-Cast transmission, run:

    WDSUTIL /New-MulticastTransmission /Image:<image name> /FriendlyName:<friendly name> /ImageType:Install /ImageGroup:<Image group name> /TransmissionType:AutoCast
  • To create a Scheduled-Cast transmission, run:

    WDSUTIL /New-MulticastTransmission /Image:<image name> /FriendlyName:<friendly name> /ImageType:Install /ImageGroup:<Image group name> /TransmissionType:ScheduledCast [/Time:<yyyy/mm/dd:hh:mm>][/Clients:<no of clients>]

Configuring transmissions

After a transmission is created, you can start it, delete it, deactivate it, and view its properties.

  • To start the transmission, run:

    WDSUTIL /Start-MulticastTransmission /Image:<image name> /ImageType:Install /ImageGroup:<image group name>
    Note

    You can only start the transmission if it is on a Scheduled-Cast, there is at least one client, and the transmission is not started.

  • To delete the transmission, run:

    WDSUTIL /Remove-MulticastTransmission /Image:<image name> /ImageType:Install /ImageGroup:<image group name> /Force
  • To deactivate the transmission, run:

    WDSUTIL /Remove-MulticastTransmission /Image:<image name> /ImageType:Install /ImageGroup:<image group name>
  • To view properties, run:

    WDSUTIL /Get-MulticastTransmission /Image:<image name> /ImageType:Install /ImageGroup:<image group name>

Configuring clients in a transmission

After you have created the transmission, client computers join the transmission by selecting the image in the Windows Deployment Services client. Client computers can also join a transmission through Wdsmcast.exe—a command-line tool that is included in the Windows AIK. When there are clients in a transmission, you can perform the following actions:

  • To view clients and see progress, run:

    WDSUTIL /Get-MulticastTransmission /Image:<image name> /ImageType:Install /ImageGroup:<image group name> /show:clients
  • To stop a client installation completely, run:

    WDSUTIL /Disconnect-Client /ClientID:<id> /Force.
    Note

    You should use this option with caution because the installation will fail and the computer could be left in an unusable state.

  • To disconnect a client from a multicast transmission but continue to transfer the image by using unicast, run:

    WDSUTIL /Disconnect-Client /ClientID:<id>
  • To view client <id> for each transmission, run:

    WDSUTIL /Get-MulticastTransmission /Image:<image name> /ImageType:Install /ImageGroup:<image group name> /show:clients

Additional references

  • For more information about multicast with Windows Deployment Services, see http://go.microsoft.com/fwlink/?LinkId=89225.

  • Managing Images


Associate Unattend Files

Windows Deployment Services allows you to automate the Windows Deployment Services client and the latter stages of Windows Setup. This two-stage approach is accomplished by using two unattend files:

  • Windows Deployment Services client unattend file. This file uses the Unattend.xml format, and it is stored on the Windows Deployment Services server in the \WDSClientUnattend folder. It is used to automate the Windows Deployment Services client user interface screens (such as entering credentials, choosing an install image, and configuring the disk).

  • Image unattend file. This file uses the Unattend.xml or Sysprep.inf format (depending upon the version of the operating system in the image). It is stored in a subfolder (either $OEM$ structure or \Unattend) in the per-image folder. It is used to automate the remaining phases of setup (for example, offline servicing, Sysprep specialize, and mini-setup).

To automate the installation, create the appropriate unattend file depending on whether you are configuring the Windows Deployment Services client or Windows Setup. We recommend that you use Windows System Image Manager, (included as part of the Windows AIK) to author the unattend files. Then copy the unattend file to the appropriate location, and assign it for use.

You can assign the unattend file at the server level or the client level. The server level assignment can be divided further by architecture, allowing you to have differing settings for x86-based and x64-based clients. Assignment at the client level overrides the server-level settings.

Note

Windows Deployment Services management tools support setting only install image unattend files for images of Windows Vista and Windows Server 2008. For images from previous operating systems, you must use your existing Sysprep.inf files and manually create an $OEM$ directory structure.

To configure an unattend installation, use the following procedures:

  • Configuring unattend installation for the Windows Deployment Services client

  • Configuring unattend for Windows Setup

Configuring unattend installation for the Windows Deployment Services client

To associate a client unattend file by architecture using the Windows interface

  1. Create a client unattend file. (See Sample Unattend Files)

  2. Copy the client unattend file to RemoteInstall\WDSClientUnattend.

  3. Open the Windows Deployment Services MMC snap-in, and right-click the server that contains the Windows Vista or Windows Server 2008 image that you want to associate the unattend file to, and then click Properties.

  4. On the Client tab, select Enable unattended installation, browse to the appropriate unattend file, and then click Open.

  5. Click OK to close the Properties page.
To associate a client unattend file by architecture using a command line

  1. Create a client unattend file. (See Sample Unattend Files)

  2. Click Start, right-click Command Prompt, and then click Run as administrator.

  3. Type the following where <filepath> is the path name and the file name of the client unattend file to associate with the image, and <arch> is the architecture of the client to automate (x86 or x64):

    WDSUTIL /Set-Server /WDSUnattend /Policy:enabled /File:<filepath> /Architecture:<arch>
    Note

    Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.
To associate a client unattend file per computer using a command line

  1. Create a client unattend file. (See Sample Unattend Files)

  2. Click Start, right-click Command Prompt, and then click Run as administrator.

  3. Type the following where <relative path>is the path from the REMINST share to the folder that contains the client unattend file:

    WDSUTIL /Set-Device /Device:<computername> /ID:<GUID or MAC address> /WDSClientUnattend:<relative path>

Configuring unattend for Windows Setup

To associate an image unattend file to an image by using the Windows interface

  1. Create an image unattend file. (See Sample Unattend Files)

  2. From the Windows Deployment Services MMC snap-in, click to expand the image group that contains the Windows Vista or Windows Server 2008 image.

  3. Right-click the image that you want to associate the unattend file to, and click Properties.

  4. On the General tab, click Allow image to install in unattend mode.

  5. Click Select File, browse to select the unattend file, and then click OK twice.
To associate an image unattend file to an image using a command line

  1. Create an image unattend file. (See Sample Unattend Files)

  2. Click Start, right-click Command Prompt, and then click Run as administrator.

  3. Type the following, where <imagename> is the name of the image with which to associate the unattend file, <imagegroupname> is the name of the image group containing the image file, and <unattendfile> is the path and file name of the unattend file to associate with the image.

    WDSUTIL /Set-Image /Image:<imagename> /ImageType:install /ImageGroup:<imagegroupname> /UnattendFile:<unattendfile>

Additional references

  • For more information about how to set up unattended installations by using Windows Deployment Services, see http://go.microsoft.com/fwlink/?LinkId=89226.

  • For Help for WDSUTIL, type WDSUTIL /? at a command prompt.

  • Managing Images


Sample Unattend Files

You can use unattend installation files to automate many aspects of Setup. Use these samples as a starting point to create your own custom files, or to troubleshoot your installation.

  • Windows Deployment Services client unattend file

  • Image unattend file

Sample Windows Deployment Services client unattend file

This unattended installation file allows a completely automated installation experience. You can use a text editor to save this sample file as an XML file.

<?xml version="1.0" ?>
<unattend xmlns="urn:schemas-microsoft-com:unattend">
   <settings pass="windowsPE">
      <component name="Microsoft-Windows-Setup" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" processorArchitecture="x86">
         <WindowsDeploymentServices>
            <Login>
               <WillShowUI>OnError</WillShowUI>
               <Credentials>
                  <Username>username</Username>
                  <Domain>wds-dom</Domain>
                  <Password>my_password</Password>
               </Credentials>
            </Login>
            <ImageSelection>
               <WillShowUI>OnError</WillShowUI>
               <InstallImage>
                  <ImageName>Windows Vista with Office</ImageName>
                  <ImageGroup>ImageGroup1</ImageGroup>
                  <Filename>Install.wim</Filename>
               </InstallImage>
               <InstallTo>
                  <DiskID>0</DiskID>
                     <PartitionID>1</PartitionID>
                     </InstallTo>
            </ImageSelection>
            </WindowsDeploymentServices>
            <DiskConfiguration>
            <WillShowUI>OnError</WillShowUI>
            <Disk>
               <DiskID>0</DiskID>
               <WillWipeDisk>false</WillWipeDisk>
               <ModifyPartitions>
               <ModifyPartition>
                  <Order>1</Order>
                  <PartitionID>1</PartitionID>
                  <Letter>C</Letter>
                  <Label>TestOS</Label>
                  <Format>NTFS</Format>
                  <Active>true</Active>
                  <Extend>false</Extend>
               </ModifyPartition>
               </ModifyPartitions>
            </Disk>
            </DiskConfiguration>
            </component>
            <component name="Microsoft-Windows-International-Core-WinPE" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" processorArchitecture="x86">
               <SetupUILanguage>
                  <WillShowUI>OnError</WillShowUI>
                  <UILanguage>en-US</UILanguage>
               </SetupUILanguage>
               <UILanguage>en-US</UILanguage>
            </component>
            </settings>
</unattend>

Sample image unattend file

This file sets the product key and allows the domain join operation to complete successfully. You can use a text editor to save this sample file as an XML file.

<?xml version="1.0" encoding="utf-8"?>
<unattend xmlns="urn:schemas-microsoft-com:unattend">
    <settings pass="specialize">
        <component name="Microsoft-Windows-UnattendedJoin" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
            <Identification>
                <UnsecureJoin>true</UnsecureJoin>
            </Identification>
        </component>
        <component name="Microsoft-Windows-Shell-Setup" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
            <ProductKey>XXXX-XXXX-XXXX-XXXX-XXXX</ProductKey>
        </component>
    </settings>
</unattend>

Additional references

  • For more information about unattended installations using Windows Deployment Services, see http://go.microsoft.com/fwlink/?LinkId=89226.

  • Managing Images

  • Associate Unattend Files

  • Convert RIPREP Images


Associate Language Packs

You can associate multiple language packs with a single image, which reduces the number of images that you need to maintain.

To associate language packs with an image

  1. In the image group folder that contains the image, create a directory with the same name as the image file.

  2. In that directory, create a subdirectory named Langpacks. For example, for an image group named "Vista" and an image named "Install", run:

    md c:\remoteinstall\images\vista\install\langpacks

  3. In the Langpacks subdirectory, create a subdirectory for each language pack that you want to install. For example, to create a subdirectory for the Japanese language, run:

    md c:\remoteinstall\images\vista\install\langpacks\ja-jp

  4. Copy the Japanese language pack to the subdirectory that you created (for example C:\Remoteinstall\images\vista\install\langpacks\ja-jp).

Additional references

  • For more information about creating a localized setup experience, see http://go.microsoft.com/fwlink/?LinkId=89224.

  • Managing Images


Convert RIPREP Images

If you upgraded your server to Windows Server 2008, your RIPREP images are stored under the Legacy Images node in the Windows Deployment Services MMC snap-in. RISETUP images are not supported in Windows Deployment Services. Before you can copy your RIPREP images to client computers, you must first convert them to Windows image (.wim) format.

To convert a RIPREP image to .wim format by using the Windows interface

  1. Save a backup copy of the RIPREP images to a temporary location (in case the process fails or if you want to revert to the original image).

  2. Click to expand Legacy Images.

  3. Right-click the image to be converted and click Convert Image.

  4. When the image conversion is complete, add the image to the appropriate image group.
To convert an image to .wim format using a command line

  1. Save a backup copy of the RIPREP images to a temporary location (in case the process fails or if you want to roll back to the original image).

  2. Type the following where <filepath> is the full path to the .sif file:

    WDSUTIL /convert-riprepimage /filepath:<filepath> /destinationimage /filepath:<filepath2>

  3. Type the following where <filepath> is the full path to the new .wim file:

    WDSUTIL /add-image /imagefile:<filepath> /image type:install

Additional considerations

  • You must have full control of the RIPREP image to complete the conversion process. If you do not have full control, the conversion will fail with error code 0x522.

  • Because versions of Windows earlier than Windows Vista are dependant on the hardware abstraction layer (HAL), separate images are required for each HAL type.

Additional references

  • For more information about upgrading from and coexisting with Remote Installation Services, see http://go.microsoft.com/fwlink/?LinkId=89227.

  • Remote Installation Services (http://go.microsoft.com/fwlink/?LinkId=71138)

  • Managing Images


Troubleshooting Windows Deployment Services

This section contains common issues that you may encounter when using Windows Deployment Services. In general, you should review the event logs generated by Windows Deployment Services, which are in the Application event log under the sources: BNLSVC, WDSPXE, WDSIMGSRV, and WDSServer. The following are issues that you may encounter:

X64-based client computers

  • My x64-based client does not see any x64-based images on the boot image selection page.

  • My x64-based client computer is detected as x64, but it fails to boot to a default image.

Working with images

  • The Windows Deployment Services Capture Wizard does not recognize the disk drive that contains the volume to be captured.

  • My computer loads the boot image but cannot access an install image.

Multicast

  • I enabled multicast, and now there is excessive traffic on the network.

  • I modified the Multicast IP Address and the UDP Port Range, and now clients are not able to connect to the Windows Deployment Services server.

Miscellaneous

  • I received the error "0x2: File not found" when trying to use the management tools to manage a remote Windows Deployment Services server.

  • I created an unattend installation file, and when the installation completes, my client computer is not joined to the domain.

My x64-based client does not see any x64-based images on the boot image selection page.

  • Cause: Many BIOS for x64-based systems do not accurately identify the computer as x64-based during the boot process. If Windows Deployment Services does not recognize the systems as x64-based, only x86-based computer images are presented.

  • Solution: To force the Windows Deployment Services server to recognize x64-based computers, run the following:

    WDSUTIL /set-server /architecturediscovery:yes

My x64-based client computer is detected as x64, but it fails to boot to a default image.

  • Cause: If an x64-based computer PXE boots, but does not find an x64-based image, it will be unable to complete the boot process.

  • Solution: Ensure that you have x64-based boot and install images added to your Windows Deployment Services server. Alternatively, you can force all x64-based client computers to only receive x86-based boot files by configuring the default boot program for x64-based clients to use the appropriate network boot program—for example, "Pxeboot.com" from \RemoteInstall\boot\x86.

The Windows Deployment Services Capture Wizard does not recognize the disk drive that contains the volume to be captured.

  • Cause: The Windows Deployment Services Image Capture Wizard only shows drives that have been prepared using Sysprep.exe.

  • Solution: Reinstall the operating system and prepare the computer by using Sysprep.exe. For more information, see Create an Install, Capture, or Discover Image and Convert RIPREP Images .

My computer loads the boot image, but cannot access an install image.

  • Cause: The boot image might not contain the required network driver for your computer. Press Shift-F10, and then type IPConfig. If no IP address and subnet mask are reported, networking has not been started and it is likely that a network driver is not present.

  • Solution: Review the procedure in Modify a Boot or Install Image, and review the Windows Automated Installation Kit (Windows AIK) documentation at http://go.microsoft.com/fwlink/?LinkID=53552.

I enabled multicasting, and now there is excessive traffic on the network.

  • Cause: This may be because two servers on the network are using the same multicast IP address.

  • Solution: If multiple servers are using multicast functionality on a network (Transport Server, Deployment Server, or another solution) you need to specify static ranges that do not overlap to ensure that the multicast IP addresses do not conflict. Otherwise, you may encounter excessive traffic.

I modified the Multicast IP Address and the UDP Port Range, and now clients are not able to connect to the Windows Deployment Services server.

  • Cause: Your changes to some settings may not be in effect.

  • Solution : After you configure Windows Deployment Services server, if you modify the Multicast IP Address, the UDP Port Range, or the RPC port number (by running wdsutil /set-server /rpcport:<portnum>), you must restart the service before the changes will take effect. If you do not restart the service, the server will use the old values and may not answer clients. To restart the service, do one of the following:

    • Run net stop wdsserver, and then run net start wdsserver.

    • Right click Windows Deployment Services in the MMC snap-in, and then click Restart.

I received the error "0x2: File not found" when trying to use the management tools to manage a remote Windows Deployment Services server.

  • Cause: You may have received this error if you are trying to manage a Windows Deployment Services server that is running Windows Server 2008 (using the Windows Deployment Services server role) from a Windows Deployment Services server running an earlier operating system (using the Windows Deployment Services update).

  • Solution: This scenario is not supported.

I created an unattend installation file, and when the installation completes, my client computer is not joined to the domain.

There are two common causes for this issue:

  • Cause: A common cause of this error is that the image unattend file is not formatted properly.

  • Solution: Verify that your file is correctly formatted by reviewing Associate Unattend Files . Or copy the sample unattend file in Sample Unattend Files.

  • Cause: This error can be a permissions error that occurs during domain join.

  • Solution: Check for this error in \Windows\panther\setupact.log under domainjoininformation.

Additional references

  • For details about more issues that you may encounter, see http://go.microsoft.com/fwlink/?LinkId=89228.


Resources for Windows Deployment Services

  • Windows Deployment Services newsgroups—see the Setup and Deployment at TechNet Forums (http://go.microsoft.com/fwlink/?LinkId=87628)

  • Windows Deployment Services Role Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=84628)

  • Deploying Windows Vista (http://go.microsoft.com/fwlink/?LinkId=71130)

  • Microsoft Solution Accelerator for Business Desktop Deployment 2007 (http://go.microsoft.com/fwlink/?LinkId=71137)

  • Windows Automated Installation Kit (AIK) (http://go.microsoft.com/fwlink/?LinkId=81030)

  • Windows AIK User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552)

  • Sysprep Technical Reference (http://go.microsoft.com/fwlink/?LinkId=87732)